Default

Root

get
Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/
200

Successful Response

No content

Health Check

get
Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/health_check
200

Successful Response

No content

Get Recos

get

Route to get recommendations from d level tables. Recommendation is fetched either from: - Redis: cache recommendation layer with a 6 hours TTL - Bigtable: pre-computed recommendations activated manually by a superuser on client's side. It' called "boost" mode. Reco is computed for every available variable. For now it can be activated for reco with one variable only. - ClickHouse when a new query is required to get fresh recommendations :param site_id: the client for which to fetch the recommendations :param recos_id: UUID for the recommendation created by the client. :param variables: a dictionary provided by the client to provided context. Example: { "last_order_items": ["5064176"], "viewing_item": "5064176", "most_expensive_cart_item": "5064160", "most_expensive_order_item": "5064160" } :param fields: the fields from reco table the client wants to fetch :param output_format: the format to get the data. Default to JSON. :param delimiter: when output format is CSV you can specify a delimiter :param abtest_group: Parameter used to set the abtest_group. Default to None. :return:

Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
recos_idstringRequired

Recommendations id.

Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
fieldsany ofOptional

Item fields which should be returned by the API. Defaults to id

string[]Optional
or
nullOptional
output_formatany ofOptional

format for the output recommendation. Default to JSON

stringOptional
or
nullOptional
delimiterstring · enumOptional

Use the specified delimiter for the output format : comma (,) semicolon (;) tab (%09) pipe (|) ). Default to ;

Default: ;Possible values:
Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/{site_id}/recos/{recos_id}

No content

Get Recos Infos

get
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
recos_idstringRequired

Recommendations id.

Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/{site_id}/recos/{recos_id}/infos

No content

Get Merch By Site And Category

get
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
category_idstringRequired

Category id.

Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/{site_id}/merch/category_id/{category_id}

No content

Debug Recos

get
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
recos_idstringRequired

Recommendations id.

Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
fieldsany ofOptional

Item fields which should be returned by the API. Defaults to id

string[]Optional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/{site_id}/recos/{recos_id}/debug

No content

Get Recos From Query

post
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
fieldsany ofOptional

Item fields which should be returned by the API. Defaults to id

string[]Optional
or
nullOptional
Body
nameany ofOptionalDefault: n/a
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/{site_id}/recos

No content

Get Merch

get
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
merch_idstringRequired

Emerch id.

Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
fieldsany ofOptional

Item fields which should be returned by the API. Defaults to id

string[]Optional
or
nullOptional
output_formatany ofOptional

format for the output recommendation. Default to JSON

stringOptional
or
nullOptional
delimiterstring · enumOptional

Use the specified delimiter for the output format : comma (,) semicolon (;) tab (%09) pipe (|) ). Default to ;

Default: ;Possible values:
Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/{site_id}/merch/{merch_id}

No content

Get Merch From Query

post
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
fieldsany ofOptional

Item fields which should be returned by the API. Defaults to id

string[]Optional
or
nullOptional
limitany ofOptional

Limit of the query

integerOptional
or
nullOptional
offsetany ofOptional

Offset of the query

Default: 0
integerOptional
or
nullOptional
Body
nameany ofOptionalDefault: n/a
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/{site_id}/merch

No content

Get Recos Templated From Query

post
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
template_uuidstringRequired

Template uuid.

Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
Body
nameany ofOptionalDefault: n/a
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/{site_id}/recos/template/{template_uuid}

No content

Get Templated From Query

post
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
recos_idstringRequired

Recommendations id.

Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
Body
namestringRequired
htmlstringRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/{site_id}/template/recos/{recos_id}

No content

Get Template

get
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
template_uuidstringRequired

Template uuid.

recos_idstringRequired

Recommendations id.

Query parameters
variablesany ofOptional

Variables of the query represented as a JSON string

stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

text/html
stringOptional
get
/{site_id}/template/{template_uuid}/recos/{recos_id}

Get Template Infos

get
Authorizations
AuthorizationstringRequired
Path parameters
site_idintegerRequired
template_uuidstringRequired

Template Uuid.

Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/{site_id}/template/{template_uuid}/infos

No content

Last updated

Was this helpful?